| Demo HCI Implementation for WiMOD-LR Devices V1.3.1

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
WiMOD_SAP_DevMgmt Class Reference

Implementation for the ServiceAccessPoint DeviceManagement. More...

`#include <SAP/WiMOD_SAP_DEVMGMT.h>`

## Public Member Functions
| WiMOD_SAP_DevMgmt (TWiMODLRHCI *hci, UINT8 *buffer, UINT16 bufferSize)
| Constructor. More...
| ~WiMOD_SAP_DevMgmt (void)
| Destructor.
TWiMDLRResultCodes | Ping (UINT8 *statusRsp)
| Ping Cmd - Checks if the serial connection of to the WiMOD module is OK. More...
TWiMDLRResultCodes | Reset (UINT8 *statusRsp)
| Reset Cmd - Do a reset / reboot of the WiMOD. More...
TWiMDLRResultCodes | GetDeviceInfo (TWiMODLR_DevMgmt_DevInfo *info, UINT8 *statusRsp)
| Reset Cmd - Do a reset / reboot of the WiMOD. More...
TWiMDLRResultCodes | GetFirmwareInfo (TWiMODLR_DevMgmt_FwInfo *info, UINT8 *statusRsp)
| GetFirmwareInfo Cmd - Get basic info about the running firmware. More...
TWiMDLRResultCodes | GetSystemStatus (TWiMODLR_DevMgmt_SystemStatus *info, UINT8 *statusRsp)
| GetSystemStatus Cmd - Get basic info about the system status of WiMOD. More...
TWiMDLRResultCodes | GetRtc (UINT32 *rtcTime, UINT8 *statusRsp)
| GetRtc Cmd - Get the current RTC time/date from WiMOD. More...
TWiMDLRResultCodes | SetRtc (const UINT32 rtcTime, UINT8 *statusRsp)
| SetRtc Cmd - Set the current RTC time/date of WiMOD. More...
TWiMDLRResultCodes | GetRadioConfig (TWiMODLR_DevMgmt_RadioConfig *radioCfg, UINT8 *statusRsp)
| GetRadioConfig Cmd - Get the radio settings of the WiMOD. More...
TWiMDLRResultCodes | SetRadioConfig (const TWiMODLR_DevMgmt_RadioConfig *radioCfg, UINT8 *statusRsp)
| SetRadioConfig Cmd - Set the radio settings of the WiMOD. More...
TWiMDLRResultCodes | ResetRadioConfig (UINT8 *statusRsp)
| ResetRadioConfig Cmd - Reset the radio config to factory defaults. More...
TWiMDLRResultCodes | GetOperationMode (TWiMOD_OperationMode *opMode, UINT8 *statusRsp)
| GetOperationMode Cmd - Get the current operation mode of the WiMOD. More...
TWiMDLRResultCodes | SetOperationMode (const TWiMOD_OperationMode opMode, UINT8 *statusRsp)
| SetOperationMode Cmd - Set the current operation mode of the WiMOD. More...
TWiMDLRResultCodes | SetAesKey (const UINT8 *key, UINT8 *statusRsp)
| SetAesKey Cmd - Set the 128bit AES that is to be used for encryption. More...
TWiMDLRResultCodes | GetAesKey (UINT8 *key, UINT8 *statusRsp)
| GetAesKey Cmd - Get the 128bit AES that that is used for encryption. More...
TWiMDLRResultCodes | SetRtcAlarm (const TWiMODLR_DevMgmt_RtcAlarm *rtcAlarm, UINT8 *statusRsp)
| GetRtcAlarm Cmd - Get information about the RTC alarm event. More...
TWiMDLRResultCodes | GetRtcAlarm (TWiMODLR_DevMgmt_RtcAlarm *rtcAlarm, UINT8 *statusRsp)
| GetRtcAlarm Cmd - Get information about RTC alarm feature. More...
TWiMDLRResultCodes | ClearRtcAlarm (UINT8 *statusRsp)
| GetRtcAlarm Cmd - Clear a pending RTC alarm. More...
void | RegisterPowerUpIndicationClient (TDevMgmtPowerUpCallback cb)
| Register a callback function for processing a PowerUp Indication message. More...
void | RegisterRtcAlarmIndicationClient (TDevMgmtRtcAlarmCallback cb)
| Register a callback function for processing a RTC Alarm Indication message. More...
void | DispatchDeviceMgmtMessage (TWiMODLR_HCIMessage &rxMsg)

## Detailed Description

Implementation for the ServiceAccessPoint DeviceManagement.

## Constructor & Destructor Documentation

WiMOD_SAP_DevMgmt::WiMOD_SAP_DevMgmt | ( | TWiMODLRHCI * | hci,
|  | UINT8 * | buffer,
|  | UINT16 | bufferSize
| ) |  |

Constructor.

Parameters

  hci | Pointer to HCI processor object
  buffer | pointer to storage area for building tx frames; MUST BE VALID
  bufferSize | size of the buffer

## Member Function Documentation

TWiMDLRResultCodes WiMOD_SAP_DevMgmt::ClearRtcAlarm | ( | UINT8 * | statusRsp | ) |

GetRtcAlarm Cmd - Clear a pending RTC alarm.

Parameters

  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

TWiMDLRResultCodes WiMOD_SAP_DevMgmt::GetAesKey | ( | UINT8 * | key,
|  | UINT8 * | statusRsp
| ) |  |

GetAesKey Cmd - Get the 128bit AES that that is used for encryption.

Parameters

  key | pointer where to store the 128bit AES key (pointer to array of 16 UINT8 entries)
  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

TWiMDLRResultCodes WiMOD_SAP_DevMgmt::GetDeviceInfo | ( | TWiMODLR_DevMgmt_DevInfo * | info,
|  | UINT8 * | statusRsp
| ) |  |

Reset Cmd - Do a reset / reboot of the WiMOD.

Parameters

  info | pointer to store the received information
  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

TWiMDLRResultCodes WiMOD_SAP_DevMgmt::GetFirmwareInfo | ( | TWiMODLR_DevMgmt_FwInfo * | info,
|  | UINT8 * | statusRsp
| ) |  |

GetFirmwareInfo Cmd - Get basic info about the running firmware.

Parameters

  info | pointer to store the received information
  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

TWiMDLRResultCodes WiMOD_SAP_DevMgmt::GetOperationMode | ( | TWiMOD_OperationMode * | opMode,
|  | UINT8 * | statusRsp
| ) |  |

GetOperationMode Cmd - Get the current operation mode of the WiMOD.

Parameters

  opMode | pointer to store the received information
  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

TWiMDLRResultCodes WiMOD_SAP_DevMgmt::GetRadioConfig | ( | TWiMODLR_DevMgmt_RadioConfig * | radioCfg,
|  | UINT8 * | statusRsp
| ) |  |

GetRadioConfig Cmd - Get the radio settings of the WiMOD.

Parameters

  radioCfg | pointer to store the received information
  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

TWiMDLRResultCodes WiMOD_SAP_DevMgmt::GetRtc | ( | UINT32 * | rtcTime,
|  | UINT8 * | statusRsp
| ) |  |

GetRtc Cmd - Get the current RTC time/date from WiMOD.

Parameters

  rtcTime | pointer to store the received information
  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

TWiMDLRResultCodes WiMOD_SAP_DevMgmt::GetRtcAlarm | ( | TWiMODLR_DevMgmt_RtcAlarm * | rtcAlarm,
|  | UINT8 * | statusRsp
| ) |  |

GetRtcAlarm Cmd - Get information about RTC alarm feature.

Parameters

  rtcAlarm | pointer where to store the RTC alarm parameter set
  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

TWiMDLRResultCodes WiMOD_SAP_DevMgmt::GetSystemStatus | ( | TWiMODLR_DevMgmt_SystemStatus * | info,
|  | UINT8 * | statusRsp
| ) |  |

GetSystemStatus Cmd - Get basic info about the system status of WiMOD.

Parameters

  info | pointer to store the received information
  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

TWiMDLRResultCodes WiMOD_SAP_DevMgmt::Ping | ( | UINT8 * | statusRsp | ) |

Ping Cmd - Checks if the serial connection of to the WiMOD module is OK.

Parameters

  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

void WiMOD_SAP_DevMgmt::RegisterPowerUpIndicationClient | ( | TDevMgmtPowerUpCallback | cb | ) |

Register a callback function for processing a PowerUp Indication message.

Parameters

  cb | pointer to callback function

void WiMOD_SAP_DevMgmt::RegisterRtcAlarmIndicationClient | ( | TDevMgmtRtcAlarmCallback | cb | ) |

Register a callback function for processing a RTC Alarm Indication message.

Parameters

  cb | pointer to callback function

TWiMDLRResultCodes WiMOD_SAP_DevMgmt::Reset | ( | UINT8 * | statusRsp | ) |

Reset Cmd - Do a reset / reboot of the WiMOD.

Parameters

  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

TWiMDLRResultCodes WiMOD_SAP_DevMgmt::ResetRadioConfig | ( | UINT8 * | statusRsp | ) |

ResetRadioConfig Cmd - Reset the radio config to factory defaults.

Parameters

  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

TWiMDLRResultCodes WiMOD_SAP_DevMgmt::SetAesKey | ( | const UINT8 * | key,
|  | UINT8 * | statusRsp
| ) |  |

SetAesKey Cmd - Set the 128bit AES that is to be used for encryption.

Parameters

  key | pointer to the 128bit AES key (pointer to array of 16 UINT8 entries)
  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

TWiMDLRResultCodes WiMOD_SAP_DevMgmt::SetOperationMode | ( | const TWiMOD_OperationMode | opMode,
|  | UINT8 * | statusRsp
| ) |  |

SetOperationMode Cmd - Set the current operation mode of the WiMOD.

Parameters

  opMode | the new operation mode to set
  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

TWiMDLRResultCodes WiMOD_SAP_DevMgmt::SetRadioConfig | ( | const TWiMODLR_DevMgmt_RadioConfig * | radioCfg,
|  | UINT8 * | statusRsp
| ) |  |

SetRadioConfig Cmd - Set the radio settings of the WiMOD.

Parameters

  radioCfg | pointer to the new radio configuration
  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

TWiMDLRResultCodes WiMOD_SAP_DevMgmt::SetRtc | ( | const UINT32 | rtcTime,
|  | UINT8 * | statusRsp
| ) |  |

SetRtc Cmd - Set the current RTC time/date of WiMOD.

Parameters

  rtcTime | 32bit data containing the new RTC timestamp
  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

TWiMDLRResultCodes WiMOD_SAP_DevMgmt::SetRtcAlarm | ( | const TWiMODLR_DevMgmt_RtcAlarm * | rtcAlarm,
|  | UINT8 * | statusRsp
| ) |  |

GetRtcAlarm Cmd - Get information about the RTC alarm event.

Parameters

  rtcAlarm | pointer to write the RTC alarm relevant parameter set to
  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

The documentation for this class was generated from the following files:

- SAP/WiMOD_SAP_DEVMGMT.h
- SAP/WiMOD_SAP_DEVMGMT.cpp